# Uses of Interface
org.lwjgl.util.ReadablePoint

Packages that use ReadablePoint
Package
Description
org.lwjgl.util

## Uses of ReadablePoint in org.lwjgl.util

Subinterfaces of ReadablePoint in org.lwjgl.util
Modifier and Type
Interface
Description
`interface`
`ReadableRectangle`
Readonly interface for Rectangles
Classes in org.lwjgl.util that implement ReadablePoint
Modifier and Type
Class
Description
`final class`
`Point`
A 2D integer point class, which looks remarkably like an AWT one.
`final class`
`Rectangle`
A 2D integer Rectangle class which looks remarkably like an AWT one.
Methods in org.lwjgl.util with parameters of type ReadablePoint
Modifier and Type
Method
Description
`void`
Rectangle.`add(ReadablePoint pt)`
Adds the specified `Point` to this `Rectangle`.
`boolean`
Rectangle.`contains(ReadablePoint p)`
Checks whether or not this `Rectangle` contains the specified `Point`.
`void`
Rectangle.`setBounds(ReadablePoint p, ReadableDimension d)`
`void`
WritableRectangle.`setBounds(ReadablePoint location, ReadableDimension size)`
Sets the bounds of the rectangle
`void`
Point.`setLocation(ReadablePoint p)`
`void`
Rectangle.`setLocation(ReadablePoint p)`
`void`
WritablePoint.`setLocation(ReadablePoint p)`
`void`
Point.`translate(ReadablePoint p)`
Translate a point.
`void`
Rectangle.`translate(ReadablePoint point)`
Translate the rectangle by an amount.
`void`
Point.`untranslate(ReadablePoint p)`
Un-translate a point.
`void`
Rectangle.`untranslate(ReadablePoint point)`
Un-translate the rectangle by an amount.
Constructors in org.lwjgl.util with parameters of type ReadablePoint
Modifier
Constructor
Description
``
`Point(ReadablePoint p)`
Constructor for Point.
``
`Rectangle(ReadablePoint p, ReadableDimension d)`
Constructor for Rectangle.